List surveys
curl --request GET \
--url https://manuscript.example.com/api/v1/surveys \
--header 'Authorization: Bearer <token>'import requests
url = "https://manuscript.example.com/api/v1/surveys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://manuscript.example.com/api/v1/surveys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"name": "<string>",
"responses": 123,
"averageRating": 123
}
],
"page": 123,
"pageSize": 123,
"totalCount": 123,
"hasNextPage": true,
"hasPreviousPage": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}List surveys
Paged list of surveys.
GET
/
api
/
v1
/
surveys
List surveys
curl --request GET \
--url https://manuscript.example.com/api/v1/surveys \
--header 'Authorization: Bearer <token>'import requests
url = "https://manuscript.example.com/api/v1/surveys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://manuscript.example.com/api/v1/surveys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"name": "<string>",
"responses": 123,
"averageRating": 123
}
],
"page": 123,
"pageSize": 123,
"totalCount": 123,
"hasNextPage": true,
"hasPreviousPage": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}